// priority: 10

global.FluidReplaceOutput = (toreplace, replacewith) => {
  ServerEvents.recipes((event) => {
    event.replaceOutput(
      { output: Fluid.of(toreplace) }, // Arg 1: the filter
      Fluid.of(toreplace), // Arg 2: the item to replace
      Fluid.of(replacewith), // Arg 3: the item to replace it with
    );
  });
};

global.FluidReplaceInput = (toreplace, replacewith) => {
  ServerEvents.recipes((event) => {
    event.replaceInput(
      { input: Fluid.of(toreplace) },
      Fluid.of(toreplace),
      Fluid.of(replacewith),
    );
  });
};
